let HttpUtils = require('./httpUtils.js');
let httpUtils = new HttpUtils();

const deviceIP = '192.168.66.1';
const userName = 'Admin';
const password = 'e3afed0047b08059d0fada10f400c1e5';

const demoURL = `http://${deviceIP}/mwapi?method=upload-edid`;
const uploadFilePath = './DEMO_EDID.bin';

// login
console.info('==> 1. login');
httpUtils.get(`http://${deviceIP}/mwapi?method=login&id=${userName}&pass=${password}`)
.then((loginRes) => {
  // get Cookie info
  const resCookies = loginRes['headers']['set-cookie'];
  console.info('==> 2. get login cookie:');
  console.info(resCookies);

  // set response Cookie
  let reqOpts = {
    headers: {
      'Cookie': resCookies
    }
  }

  // upload
  console.info('==> 3. upload');
  httpUtils.upload(demoURL, uploadFilePath, reqOpts)
  .then((res) => {
    console.info('==> 4. response data:');
    console.info(res);
  })
  .catch((err) => {
    console.info('==> 4. response data:');
    console.info(err);
  });
})
.catch((err) => {
  console.info('==> 4. response data:');
  console.info(err);
});

